Subject: Re: "Timeout" request header to tell server to wait for resource to become available

From: Brendan Long <[email-masked]>
Date: Wed, 01 Apr 2015 10:07:35 -0500

On 03/31/2015 08:02 PM, Mark Nottingham wrote:
> I guess I’m wondering why this needs to be coordinated between the client and server; couldn’t the DASH server just pause before determining that it really is a 404?
>
> I.e., are there other clients that need to know it’s a 404 right away?
For the 404 case it's probably fine for the server to wait a little
while, as long as it returns something before the connection times out
(around a minute seems to be safe?). For the etag case, it would cause
serious responsiveness problems for clients that do caching correctly
but don't expect this behavior.